petsc-3.4.2 2013-07-02

# TSAdaptChoose

choose which method and step size to use for the next step

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptChoose(TSAdapt adapt,TS ts,PetscReal h,PetscInt *next_sc,PetscReal *next_h,PetscBool *accept)

Logically Collective

### Input Arguments

| adapt | - adaptive contoller
| h | - current step size

### Output Arguments

| next_sc | - scheme to use for the next step
| next_h | - step size to use for the next step
| accept | - PETSC_TRUE to accept the current step, PETSC_FALSE to repeat the current step with the new step size

### Note

The input value of parameter accept is retained from the last time step, so it will be PETSC_FALSE if the step is being retried after an initial rejection.

### See Also

TSAdapt, TSAdaptCandidatesClear(), TSAdaptCandidateAdd()

Level:developer
Location:src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages